immediately enforce disable IPv6 ()

This commit is contained in:
tteckster 2023-01-27 21:15:50 -05:00 committed by GitHub
parent 24d94e089d
commit 1a8a13423c
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
77 changed files with 231 additions and 154 deletions
install
adguard-v5-install.shautobrr-v5-install.shblocky-v5-install.shcasaos-v5-install.shchangedetection-v5-install.shcronicle-v5-install.shdaemonsync-v5-install.shdashy-v5-install.shdebian-v5-install.shdeconz-v5-install.shdeluge-v5-install.shdocker-v5-install.shemby-v5-install.shemqx-v5-install.shesphome-v5-install.shgrafana-v5-install.shgrocy-v5-install.shheimdalldashboard-v5-install.shhomeassistant-core-v5-install.shhomeassistant-v5-install.shhomebridge-v5-install.shhomepage-v5-install.shhomer-v5-install.shhyperion-v5-install.shinfluxdb-v5-install.shiobroker-v5-install.shjellyfin-v5-install.shk0s-v5-install.shkavita-v5-install.shkeycloak-v5-install.shlidarr-v5-install.shmagicmirror-v5-install.shmariadb-v5-install.shmeshcentral-v5-install.shmotioneye-v5-install.shmqtt-v5-install.shn8n-v5-install.shnavidrome-v5-install.shnextcloudpi-v5-install.shnginxproxymanager-v5-install.shnocodb-v5-install.shnode-red-v5-install.shomada-v5-install.shomv-v5-install.shopenhab-v5-install.shpaperless-ngx-v5-install.shphotoprism-v5-install.shpihole-v5-install.shplex-v5-install.shpodman-homeassistant-v5-install.shpodman-v5-install.shpostgresql-v5-install.shprometheus-v5-install.shprowlarr-v5-install.shradarr-v5-install.shreadarr-v5-install.shsabnzbd-v5-install.shscrypted-v5-install.shshinobi-v5-install.shsonarr-v5-install.shsyncthing-v5-install.shtdarr-v5-install.shtechnitiumdns-v5-install.shtransmission-v5-install.shtrilium-v5-install.shubuntu-v5-install.shumbrel-v5-install.shunifi-v5-install.shuptimekuma-v5-install.shvaultwarden-v5-install.shwhisparr-v5-install.shwhoogle-v5-install.shwikijs-v5-install.shwireguard-v5-install.shyunohost-v5-install.shzigbee2mqtt-v5-install.shzwave-js-ui-v5-install.sh

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -14,7 +15,7 @@ CROSS="${RD}✗${CL}"
BFR="\\r\\033[K" BFR="\\r\\033[K"
HOLD="-" HOLD="-"
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
export DEBIAN_FRONTEND=noninteractive export DEBIAN_FRONTEND=noninteractive
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
AVX=$(grep -o -m1 'avx[^ ]*' /proc/cpuinfo) AVX=$(grep -o -m1 'avx[^ ]*' /proc/cpuinfo)
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
export DEBIAN_FRONTEND=noninteractive export DEBIAN_FRONTEND=noninteractive
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,7 +1,8 @@
#!/usr/bin/env bash #!/usr/bin/env bash
export DEBIAN_FRONTEND=noninteractive export DEBIAN_FRONTEND=noninteractive
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
#https://community.ui.com/questions/UniFi-Installation-Scripts-or-UniFi-Easy-Update-Script-or-UniFi-Lets-Encrypt-or-UniFi-Easy-Encrypt-/ccbc7530-dd61-40a7-82ec-22b17f027776 #https://community.ui.com/questions/UniFi-Installation-Scripts-or-UniFi-Easy-Update-Script-or-UniFi-Lets-Encrypt-or-UniFi-Easy-Encrypt-/ccbc7530-dd61-40a7-82ec-22b17f027776
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
@ -21,7 +22,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."

@ -1,6 +1,7 @@
#!/usr/bin/env bash #!/usr/bin/env bash
silent() { "$@" > /dev/null 2>&1; }
if [ "$VERBOSE" == "yes" ]; then set -x; fi if [ "$VERBOSE" == "yes" ]; then set -x; fi
if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; fi if [ "$DISABLEIPV6" == "yes" ]; then echo "net.ipv6.conf.all.disable_ipv6 = 1" >>/etc/sysctl.conf; $STD sysctl -p; fi
YW=$(echo "\033[33m") YW=$(echo "\033[33m")
RD=$(echo "\033[01;31m") RD=$(echo "\033[01;31m")
BL=$(echo "\033[36m") BL=$(echo "\033[36m")
@ -20,7 +21,7 @@ set -o pipefail
shopt -s expand_aliases shopt -s expand_aliases
alias die='EXIT=$? LINE=$LINENO error_exit' alias die='EXIT=$? LINE=$LINENO error_exit'
trap die ERR trap die ERR
silent() { "$@" > /dev/null 2>&1; }
function error_exit() { function error_exit() {
trap - ERR trap - ERR
local reason="Unknown failure occurred." local reason="Unknown failure occurred."